using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

using Telerik.Web.UI.Editor.Diff;

public partial class Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Button2.Click += new EventHandler(Button2_Click);
    }

    void Button2_Click(object sender, EventArgs e)
    {
        DiffEngine diff = new DiffEngine();

        string initialContent = initContentHolder.Value;
        string currentContent = RadEditor1.Content;

        string result = diff.GetDiffs(currentContent, initialContent);

        //you can use the result variable to store it to a database/file/etc or display it on the page

        diffViewer.InnerHtml = result;
    }
}
